Package ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost

# Class ForpostCamera

java.lang.Object
ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostBase
ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCamera

All Implemented Interfaces:
  `Idable`

    public class ForpostCamera
    extends ForpostBase

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ForpostCamera()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getAccountId()` |
  `int` | `getAccountObjectId()` |
  `java.lang.String` | `getIpOrDomain()` |
  `int` | `getIsActive()` |
  `java.lang.String` | `getLogin()` |
  `int` | `getMasterId()` |
  `java.lang.String` | `getName()` |
  `int` | `getPort()` |
  `void` | `setAccountId​(int accountId)` |
  `void` | `setAccountObjectId​(int accountObjectId)` |
  `void` | `setIpOrDomain​(java.lang.String ipOrDomain)` |
  `void` | `setIsActive​(int isActive)` |
  `void` | `setLogin​(java.lang.String login)` |
  `void` | `setMasterId​(int masterId)` |
  `void` | `setName​(java.lang.String name)` |
  `void` | `setPort​(int port)` |

  ### Methods inherited from class ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostBase

  `get, getData, getId, getInt, getString, getString, put, setData, setId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForpostCamera

    public ForpostCamera()

- ## Method Details

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public void setAccountId​(int accountId)

  - ### getAccountObjectId

    public int getAccountObjectId()

  - ### setAccountObjectId

    public void setAccountObjectId​(int accountObjectId)

  - ### getMasterId

    public int getMasterId()

  - ### setMasterId

    public void setMasterId​(int masterId)

  - ### getLogin

    public java.lang.String getLogin()

  - ### setLogin

    public void setLogin​(java.lang.String login)

  - ### getIpOrDomain

    public java.lang.String getIpOrDomain()

  - ### setIpOrDomain

    public void setIpOrDomain​(java.lang.String ipOrDomain)

  - ### getPort

    public int getPort()

  - ### setPort

    public void setPort​(int port)

  - ### getIsActive

    public int getIsActive()

  - ### setIsActive

    public void setIsActive​(int isActive)